Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226531 - ibus-cangjie: FTBFS in Fedora rawhide/f39
Summary: ibus-cangjie: FTBFS in Fedora rawhide/f39
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-cangjie
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:31 UTC by Fedora Release Engineering
Modified: 2023-08-19 12:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:31 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:31 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:32 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:31:52 UTC
ibus-cangjie failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103782239


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix ibus-cangjie at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ibus-cangjie will be orphaned. Before branching of Fedora 40,
ibus-cangjie will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:31:56 UTC
Created attachment 1979925 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 20:31:59 UTC
Created attachment 1979926 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:32:01 UTC
Created attachment 1979927 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:05:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Mathieu Bridon 2023-08-19 12:20:29 UTC
I don't understand, it builds just fine for me in mock :

```
$ fedpkg --release f39 mockbuild
...
$ echo $?
0
```

What am I supposed to do now to have this bug report done ? It's been so long I haven't done Fedora packaging work, and in the meantime I had some brain injury, so I forgot it all. :-/

Should I just fedpkg build to ask Koji to rebuild it, then create an update in Bodhi ?

Comment 6 Mathieu Bridon 2023-08-19 12:27:50 UTC
Also, scratch builds succeed both in Rawhide and f39 :shrug:

Comment 7 Mathieu Bridon 2023-08-19 12:37:36 UTC
```
$ fedpkg build --target f39
Building ibus-cangjie-2.4-35.fc40 for f39
Created task: 105008460
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=105008460
Watching tasks (this may be safely interrupted)...
105008460 build (f39, /rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269): free
105008460 build (f39, /rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269): free -> open (buildvm-x86-10.iad2.fedoraproject.org)
  105008461 buildSRPMFromSCM (/rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269): open (buildvm-x86-23.iad2.fedoraproject.org)
  105008461 buildSRPMFromSCM (/rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269): open (buildvm-x86-23.iad2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
105008460 build (f39, /rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269): open (buildvm-x86-10.iad2.fedoraproject.org) -> FAILED: GenericError: Build already exists (id=2264813, state=COMPLETE): {'name': 'ibus-cangjie', 'version': '2.4', 'release': '35.fc39', 'epoch': None, 'task_id': 105008460, 'source': 'git+https://src.fedoraproject.org/rpms/ibus-cangjie.git#312e1b87dece59f8b23273095d6bab8a1eed0269', 'extra': '{"source": {"original_url": "git+https://src.fedoraproject.org/rpms/ibus-cangjie.git#312e1b87dece59f8b23273095d6bab8a1eed0269"}}', 'owner': 714, 'state': 0, 'completion_time': None, 'pkg_id': 16083, 'start_time': 'NOW', 'volume_id': 0}
  0 free  0 open  1 done  1 failed

105008460 build (f39, /rpms/ibus-cangjie.git:312e1b87dece59f8b23273095d6bab8a1eed0269) failed
```

WAT? Why does a build already exist, when this bug report says it couldn't build ? o_O

At least the build succeeded in Rawhide :shrug:


Note You need to log in before you can comment on or make changes to this bug.